Bug 50304 - rpmb --rebuild doesn't work
rpmb --rebuild doesn't work
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: 50305 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-07-30 03:03 EDT by Frederic Lepied
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-30 09:55:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frederic Lepied 2001-07-30 03:03:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-4mdk i686; Nav)

Description of problem:
rpmb --rebuild on this package doesn't work but if you issue rpm -i and
then rpm -ba, it works fine.

How reproducible:

Steps to Reproduce:
1.rpm --rebuild <srpm>

Actual Results:  an exit code 1 after the find-requires but with no error

Expected Results:  packages rebuilt

Additional info:

tested with current cvs 20010730
Comment 1 Jeff Johnson 2001-07-30 09:47:09 EDT
This builds fine for me.

The problem is probably with the "%description -l fr", try deleting
that and rebuilding. If that builds, then the underlying problem is
that you're probably building in a different locale than I am. Try
building with LANG=en_US. If I can get the problem reproduced,
I will fix.
Comment 2 Jeff Johnson 2001-07-30 09:55:10 EDT
*** Bug 50305 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Johnson 2001-08-03 00:57:41 EDT
FIxed in rpm-4.0.3-0.86.

Note You need to log in before you can comment on or make changes to this bug.